> ## Documentation Index
> Fetch the complete documentation index at: https://gcore-doc-1256a.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List file share access rules



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cloud_api.yaml get /cloud/v1/file_shares/{project_id}/{region_id}/{file_share_id}/access_rule
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: b16bea63ae2e
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
  - name: Container as a Service
  - name: Cost Reports
  - name: DDoS Protection
  - name: Everywhere Inference
  - name: Everywhere Inference Apps
  - name: File Shares
  - name: Floating IPs
  - name: Function as a Service
  - name: GPU Bare Metal
  - name: GPU Virtual
  - name: IP Ranges
  - name: Images
  - name: Instances
  - name: Load Balancers
  - name: Logging
  - name: Managed Kubernetes
  - name: Managed PostgreSQL
  - name: Networks
  - name: Placement Groups
  - name: Ports
  - name: Projects
  - name: Quotas
  - name: Regions
  - name: Registry
  - name: Reservations
  - name: Reserved IPs
  - name: Routers
  - name: SSH Keys
  - name: Secrets
  - name: Security Groups
  - name: Snapshot Schedules
  - name: Snapshots
  - name: Tasks
  - name: User Actions
  - name: User Role Assignments
  - name: Volumes
paths:
  /cloud/v1/file_shares/{project_id}/{region_id}/{file_share_id}/access_rule:
    get:
      tags:
        - File Shares
      summary: List file share access rules
      operationId: SfsAccessRuleViewSet.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
        - in: path
          name: file_share_id
          required: true
          description: File Share ID
          schema:
            description: File Share ID
            example: bd8c47ee-e565-4e26-8840-b537e6827b08
            examples:
              - bd8c47ee-e565-4e26-8840-b537e6827b08
            format: uuid4
            title: File Share Id
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessRuleCollectionSerializer'
components:
  schemas:
    AccessRuleCollectionSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/AccessRuleSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: AccessRuleCollectionSerializer
      type: object
    AccessRuleSerializer:
      properties:
        access_level:
          $ref: '#/components/schemas/AccessLevelChoices'
          description: Access mode
          examples:
            - ro
        access_to:
          anyOf:
            - format: ipvanyaddress
              type: string
            - format: ipvanynetwork
              type: string
          description: Source IP or network
          examples:
            - 192.168.1.1
            - 2001:db8::1
            - 10.0.0.0/24
            - fd00::/8
            - 0.0.0.0/0
            - '::/0'
          title: Access To
        id:
          description: Access Rule ID
          example: 4f09d7dd-f1f8-4352-b015-741b2192db47
          examples:
            - 4f09d7dd-f1f8-4352-b015-741b2192db47
          format: uuid4
          title: Id
          type: string
        state:
          $ref: '#/components/schemas/AccessRuleStateChoices'
          description: Access Rule state
          examples:
            - active
      required:
        - access_level
        - access_to
        - id
        - state
      title: AccessRuleSerializer
      type: object
    AccessLevelChoices:
      enum:
        - ro
        - rw
      title: AccessLevelChoices
      type: string
    AccessRuleStateChoices:
      enum:
        - active
        - applying
        - denying
        - error
        - new
        - queued_to_apply
        - queued_to_deny
      title: AccessRuleStateChoices
      type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````